Subject: bug#2550: [Aquamacs-devel] crash when disconnecting external monitor

From: Ben Lowery <[email-masked]>
Date: Wed, 20 May 2009 09:10:03 -0400

And of course, now it won't repro. :(

I have an external monitor running at 1600 x 1920 (rotated 90  
degrees), aquamacs was running on the external monitor, probably at  
about 1500 x 1800. External monitor is to the right of the laptop,  
dock on the right of the external monitor, menu bar on the laptop.

I'll try to figure out what's different that trips it...

-b

On May 19, 2009, at 9:34 PM, David Reitter wrote:

> Hi Ben,
>
> good that somebody can reproduce this; the bug report can be  
> inspected here:
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2550
>
> I can't reproduce this.  Can you describe your exact screen setup,  
> with sizes (resolutions) of screens, their arrangements, and where  
> the menu bar / Dock are?
>
> Thanks
> - David
>
> On May 19, 2009, at 9:09 PM, Ben Lowery wrote:
>
>> I've been getting a fairly consistent crash in Aquamacs (git master)
>> when disconnecting my external montior. Here's the stack trace:
>>
>>
>> Process:         Aquamacs [34489]
>> Path:            /Users/blowery/src/aquamacs-emacs/nextstep/
>> Aquamacs.app/Contents/MacOS/Aquamacs
>> Identifier:      org.gnu.AquamacsEmacs
>> Version:         23 (???)
>> Code Type:       X86 (Native)
>> Parent Process:  launchd [206]
>>
>> Interval Since Last Report:          103583 sec
>> Crashes Since Last Report:           1
>> Per-App Interval Since Last Report:  103531 sec
>> Per-App Crashes Since Last Report:   1
>>
>> Date/Time:       2009-05-19 21:06:34.225 -0400
>> OS Version:      Mac OS X 10.5.7 (9J61)
>> Report Version:  6
>> Anonymous UUID:  B390CC9E-43EB-401F-8BC5-53FEF67D8BA6
>>
>> Exception Type:  EXC_ARITHMETIC (SIGABRT)
>> Exception Codes: EXC_I386_DIV (divide by zero)
>> Crashed Thread:  0
>>
>> Thread 0 Crashed:
>> 0   libSystem.B.dylib             	0x954dce42 __kill + 10
>> 1   libSystem.B.dylib             	0x9554f23a raise + 26
>> 2   libSystem.B.dylib             	0x9555b679 abort + 73
>> 3   org.gnu.AquamacsEmacs         	0x0016c875 ns_term_shutdown + 117
>> (nsterm.m:4128)
>> 4   org.gnu.AquamacsEmacs         	0x0009204f fatal_error_signal +  
>> 399
>> (emacs.c:389)
>> 5   libSystem.B.dylib             	0x954db2bb _sigtramp + 43
>> 6   ???                           	0xffffffff 0 + 4294967295
>> 7   libSystem.B.dylib             	0x9554f23a raise + 26
>> 8   libSystem.B.dylib             	0x9555b679 abort + 73
>> 9   org.gnu.AquamacsEmacs         	0x0010a2f5 Fsignal + 501 (eval.c:
>> 1676)
>> 10  org.gnu.AquamacsEmacs         	0x0010a418 xsignal + 24 (eval.c: 
>> 1752)
>> 11  org.gnu.AquamacsEmacs         	0x0010b014 xsignal0 + 36 (eval.c:
>> 1761)
>> 12  org.gnu.AquamacsEmacs         	0x000f9e6e arith_error + 158
>> (data.c:3298)
>> 13  libSystem.B.dylib             	0x954db2bb _sigtramp + 43
>> 14  ???                           	0xffffffff 0 + 4294967295
>> 15  com.apple.AppKit              	0x95929d15 -[NSView
>> resizeWithOldSuperviewSize:] + 414
>> 16  com.apple.AppKit              	0x95929b56 -[NSView
>> resizeSubviewsWithOldSize:] + 177
>> 17  com.apple.AppKit              	0x9585bcc1 -[NSView setFrameSize:]
>> + 658
>> 18  com.apple.AppKit              	0x95928311 -[NSWindow
>> _oldPlaceWindow:] + 1573
>> 19  com.apple.AppKit              	0x95927a23 -[NSWindow
>> _setFrameCommon:display:stashSize:] + 1569
>> 20  com.apple.AppKit              	0x959273fa -[NSWindow
>> setFrame:display:] + 78
>> 21  com.apple.AppKit              	0x95931aa4 -[NSWindow
>> _adjustWindowToScreen] + 1016
>> 22  com.apple.AppKit              	0x95b54ff3 -[NSWindow
>> _displayChanged] + 77
>> 23  com.apple.AppKit              	0x9586f5b6 -[NSApplication
>> makeWindowsPerform:inOrder:] + 418
>> 24  com.apple.AppKit              	0x95b54aec -[NSApplication
>> _reactToDisplayChanged:resetScreens:] + 117
>> 25  com.apple.AppKit              	0x9590dcd9 -[NSApplication
>> sendEvent:] + 2941
>> 26  org.gnu.AquamacsEmacs         	0x0016c9e5 -[EmacsApp  
>> sendEvent:] +
>> 165 (nsterm.m:4214)
>> 27  com.apple.AppKit              	0x9586b62f -[NSApplication run]  
>> + 847
>> 28  org.gnu.AquamacsEmacs         	0x0016aa13 ns_read_socket + 307
>> (nsterm.m:3254)
>> 29  org.gnu.AquamacsEmacs         	0x0009e141 read_avail_input + 289
>> (keyboard.c:7091)
>> 30  org.gnu.AquamacsEmacs         	0x0016ade4 ns_select + 484
>> (nsterm.m:3322)
>> 31  org.gnu.AquamacsEmacs         	0x0014ee48
>> wait_reading_process_output + 1064 (process.c:4817)
>> 32  org.gnu.AquamacsEmacs         	0x0009fed9 read_char + 3593
>> (keyboard.c:4099)
>> 33  org.gnu.AquamacsEmacs         	0x000a22a4 read_key_sequence + 884
>> (keyboard.c:9458)
>> 34  org.gnu.AquamacsEmacs         	0x000a47ca command_loop_1 + 570
>> (keyboard.c:1642)
>> 35  org.gnu.AquamacsEmacs         	0x00107e6d internal_condition_case
>> + 253 (eval.c:1512)
>> 36  org.gnu.AquamacsEmacs         	0x000942f8 command_loop_2 + 72
>> (keyboard.c:1360)
>> 37  org.gnu.AquamacsEmacs         	0x00107d4c internal_catch + 172
>> (eval.c:1248)
>> 38  org.gnu.AquamacsEmacs         	0x0009404e command_loop + 174
>> (keyboard.c:1339)
>> 39  org.gnu.AquamacsEmacs         	0x00094112 recursive_edit_1 + 146
>> (keyboard.c:953)
>> 40  org.gnu.AquamacsEmacs         	0x00094291 Frecursive_edit + 257
>> (keyboard.c:1016)
>> 41  org.gnu.AquamacsEmacs         	0x00092bd5 main + 2885 (emacs.c: 
>> 1855)
>> 42  org.gnu.AquamacsEmacs         	0x00002836 start + 54
>>
>> Thread 0 crashed with X86 Thread State (32-bit):
>>  eax: 0x00000000  ebx: 0x9555b639  ecx: 0xbfffddec  edx: 0x954dce42
>>  edi: 0x00000006  esi: 0x00000006  ebp: 0xbfffde08  esp: 0xbfffddec
>>   ss: 0x0000001f  efl: 0x00000286  eip: 0x954dce42   cs: 0x00000007
>>   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
>>  cr2: 0x0001e000
>>
>> Binary Images:
>>    0x1000 -   0x1acfff +org.gnu.AquamacsEmacs 23 (???)
>> <2926fcccde4add0ff04dd6f3c51ad7cb> /Users/blowery/src/aquamacs-emacs/
>> nextstep/Aquamacs.app/Contents/MacOS/Aquamacs
>>  0x402000 -   0x402ff0 +com.google.GearsEnabler ??? (1.0)
>> <2198d5f686022fd75490b162788d0647> /Library/InputManagers/ 
>> GearsEnabler/
>> GearsEnabler.bundle/Contents/MacOS/GearsEnabler
>>  0x407000 -   0x407ffd +com.plaxo.ABPlugin ??? (1.0)
>> <9c6e13cfe880758890968cf29a515465> /Library/InputManagers/ 
>> PlaxoABAddIn/
>> PlaxoABAddIn.bundle/Contents/MacOS/PlaxoABAddIn
>>  0x73c000 -   0x73effe  com.apple.AutomatorCMM 1.1 (161)
>> <dd4f219df5f726e3fea63790235f92dc> /System/Library/Contextual Menu
>> Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
>>  0x744000 -   0x745ffd  com.apple.BluetoothMenu 2.1.6 (2.1.6f8) /
>> System/Library/Contextual Menu Items/BluetoothContextualMenu.plugin/
>> Contents/MacOS/BluetoothContextualMenu
>>  0x74a000 -   0x74cfff  com.apple.BezelServicesFW 1.4.929 (1.4.929) /
>> System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/
>> BezelServices
>>  0x753000 -   0x758fff  com.apple.FolderActionsMenu 1.3.2 (1.3.2)
>> <d7aa79798607f865bd48718e2acd6e2b> /System/Library/Contextual Menu
>> Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
>>  0x75f000 -   0x760fff +com.vmware.FusionVMDKPlugIn ??? (0.0.1d2) /
>> Library/Contextual Menu Items/FusionVMDKPlugIn.plugin/Contents/MacOS/
>> FusionVMDKPlugIn
>> 0x13e29000 - 0x13e9dff7  com.apple.Bluetooth 2.1.6 (2.1.6f8)
>> <2efdc5543023a1c9b534269d1153d8d8> /System/Library/Frameworks/
>> IOBluetooth.framework/Versions/A/IOBluetooth
>> 0x1617b000 - 0x16373fff  com.apple.RawCamera.bundle 2.0.14 (436)
>> <a8dd51882088fae463f33bc0674583e8> /System/Library/CoreServices/
>> RawCamera.bundle/Contents/MacOS/RawCamera
>> 0x8fe00000 - 0x8fe2db43  dyld 97.1 (???)
>> <100d362e03410f181a34e04e94189ae5> /usr/lib/dyld
>> 0x90003000 - 0x90003ff8  com.apple.Cocoa 6.5 (???)
>> <e9318c93615b27231498bbe585b8da98> /System/Library/Frameworks/
>> Cocoa.framework/Versions/A/Cocoa
>> 0x90022000 - 0x9007fffb  libstdc++.6.dylib ??? (???)
>> <6106b1f2b0b303b06ae476253dbb5f3f> /usr/lib/libstdc++.6.dylib
>> 0x90080000 - 0x901d2ff3  com.apple.audio.toolbox.AudioToolbox 1.5.2
>> (1.5.2) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/
>> AudioToolbox
>> 0x9039f000 - 0x903bdfff  libresolv.9.dylib ??? (???)
>> <a8018c42930596593ddf27f7c20fe7af> /usr/lib/libresolv.9.dylib
>> 0x903f1000 - 0x903f1ff8  com.apple.ApplicationServices 34 (34)
>> <e9cd7c823062c4382d89e3c9997f4739> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/ApplicationServices
>> 0x903f2000 - 0x90433fe7  libRIP.A.dylib ??? (???)
>> <69bd09fcd8d8b235cee7a405290d6818> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/
>> CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
>> 0x906cb000 - 0x909a5ff3  com.apple.CoreServices.CarbonCore 786.11
>> (786.13) <9e2d85d52e5e2951aa4dd53c48ccc52f> /System/Library/ 
>> Frameworks/
>> CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/
>> Versions/A/CarbonCore
>> 0x909a6000 - 0x909befff  com.apple.openscripting 1.2.8 (???)
>> <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/
>> Versions/A/OpenScripting
>> 0x909d3000 - 0x909d9fff  com.apple.print.framework.Print 218.0.3
>> (220.2) <5b7f4ef7c2df36aff9605377775781e4> /System/Library/ 
>> Frameworks/
>> Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/ 
>> Print
>> 0x909da000 - 0x90a33ff7  libGLU.dylib ??? (???)
>> <a3b9be30100a25a6cd3ad109892f52b7> /System/Library/Frameworks/
>> OpenGL.framework/Versions/A/Libraries/libGLU.dylib
>> 0x90a34000 - 0x90a76fef  com.apple.NavigationServices 3.5.2 (163)
>> <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/
>> Versions/A/NavigationServices
>> 0x90ae6000 - 0x90b11fe7  libauto.dylib ??? (???)
>> <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
>> 0x90b37000 - 0x90b66ff7  libncurses.5.4.dylib ??? (???)
>> <00632d5180ac31e2cd437a1ce9d08562> /usr/lib/libncurses.5.4.dylib
>> 0x90b67000 - 0x90b6bfff  libmathCommon.A.dylib ??? (???) /usr/lib/
>> system/libmathCommon.A.dylib
>> 0x90b6c000 - 0x90b79fe7  com.apple.opengl 1.5.10 (1.5.10)
>> <5a2813f80c9441170cc1ab8a3dac5038> /System/Library/Frameworks/
>> OpenGL.framework/Versions/A/OpenGL
>> 0x90c18000 - 0x90d0cff4  libiconv.2.dylib ??? (???)
>> <3f183527811098bb7332f67a1f902bfd> /usr/lib/libiconv.2.dylib
>> 0x90ddf000 - 0x90e6bff7  com.apple.LaunchServices 290.3 (290.6)
>> <bdba267184df88bd5b8e2116ea903872> /System/Library/Frameworks/
>> CoreServices.framework/Versions/A/Frameworks/ 
>> LaunchServices.framework/
>> Versions/A/LaunchServices
>> 0x90e6c000 - 0x90f26fe3  com.apple.CoreServices.OSServices 227 (227)
>> <30cebcb68b1b571df7d77474e0c31556> /System/Library/Frameworks/
>> CoreServices.framework/Versions/A/Frameworks/OSServices.framework/
>> Versions/A/OSServices
>> 0x90f72000 - 0x90fa1fe3  com.apple.AE 402.3 (402.3)
>> <b13bfda0ad9314922ee37c0d018d7de9> /System/Library/Frameworks/
>> CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/ 
>> A/AE
>> 0x91f81000 - 0x92008ff7  libsqlite3.0.dylib ??? (???)
>> <3334ea5af7a911637413334154bb4100> /usr/lib/libsqlite3.0.dylib
>> 0x92009000 - 0x92093fe3  com.apple.DesktopServices 1.4.8 (1.4.8)
>> <3065de6531ce839c7cb5b6dd70e03f4f> /System/Library/PrivateFrameworks/
>> DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
>> 0x92094000 - 0x920d3fef  libTIFF.dylib ??? (???)
>> <3589442575ac77746ae99ecf724f5f87> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/ 
>> ImageIO.framework/
>> Versions/A/Resources/libTIFF.dylib
>> 0x920d4000 - 0x920dbff7  libCGATS.A.dylib ??? (???)
>> <211348279493364e9920adc86484cedd> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/
>> CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
>> 0x920dc000 - 0x92105fff  libcups.2.dylib ??? (???)
>> <1b0435164b9dc6c773d0b1f24701e554> /usr/lib/libcups.2.dylib
>> 0x92106000 - 0x92185ff5  com.apple.SearchKit 1.2.1 (1.2.1)
>> <3140a605db2abf56b237fa156a08b28b> /System/Library/Frameworks/
>> CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/
>> Versions/A/SearchKit
>> 0x922fa000 - 0x9234bff7  com.apple.HIServices 1.7.0 (???)
>> <01b690d1f376e400ac873105533e39eb> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/
>> HIServices.framework/Versions/A/HIServices
>> 0x92600000 - 0x92628ff7  com.apple.shortcut 1.0.1 (1.0)
>> <131202e7766e327d02d55c0f5fc44ad7> /System/Library/PrivateFrameworks/
>> Shortcut.framework/Versions/A/Shortcut
>> 0x92629000 - 0x9262efff  com.apple.CommonPanels 1.2.4 (85)
>> <3b64ef0de184d09c6f99a1a7e77e42be> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/ 
>> Versions/
>> A/CommonPanels
>> 0x928bd000 - 0x92f5dfe3  com.apple.CoreGraphics 1.409.3 (???)
>> <25dceb14af3455b768f56e8765ecf3ca> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/
>> CoreGraphics.framework/Versions/A/CoreGraphics
>> 0x92f5e000 - 0x92f60fff  com.apple.securityhi 3.0 (30817)
>> <020419ad33b8638b174e1a472728a894> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/ 
>> Versions/A/
>> SecurityHI
>> 0x92f61000 - 0x93011fff  edu.mit.Kerberos 6.0.13 (6.0.13)
>> <804bd1b3f08fb57396781f012006367c> /System/Library/Frameworks/
>> Kerberos.framework/Versions/A/Kerberos
>> 0x93012000 - 0x93422fef  libBLAS.dylib ??? (???) /System/Library/
>> Frameworks/Accelerate.framework/Versions/A/Frameworks/ 
>> vecLib.framework/
>> Versions/A/libBLAS.dylib
>> 0x93429000 - 0x934a6feb  com.apple.audio.CoreAudio 3.1.2 (3.1.2)
>> <5a4e6329f8dbca5dcd70924525afd24a> /System/Library/Frameworks/
>> CoreAudio.framework/Versions/A/CoreAudio
>> 0x934a7000 - 0x934aafff  com.apple.help 1.1 (36)
>> <175489f8adf287b3ebd259362b0292c0> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
>> 0x93afd000 - 0x93b07feb  com.apple.audio.SoundManager 3.9.2 (3.9.2)
>> <caa41909dcb5a18a94bc68cd13999bd5> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/ 
>> Versions/
>> A/CarbonSound
>> 0x93b0d000 - 0x93b44fff  com.apple.SystemConfiguration 1.9.2 (1.9.2)
>> <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/
>> SystemConfiguration.framework/Versions/A/SystemConfiguration
>> 0x93b80000 - 0x93f3efea  libLAPACK.dylib ??? (???) /System/Library/
>> Frameworks/Accelerate.framework/Versions/A/Frameworks/ 
>> vecLib.framework/
>> Versions/A/libLAPACK.dylib
>> 0x93f3f000 - 0x93f4afe7  libCSync.A.dylib ??? (???)
>> <9e3544fe087bb4dc760b7afe0850dd6c> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/
>> CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
>> 0x93f4b000 - 0x94016fff  com.apple.ColorSync 4.5.1 (4.5.1) /System/
>> Library/Frameworks/ApplicationServices.framework/Versions/A/ 
>> Frameworks/
>> ColorSync.framework/Versions/A/ColorSync
>> 0x940cd000 - 0x94213ff7  com.apple.ImageIO.framework 2.0.4 (2.0.4)
>> <6a6623d3d1a7292b5c3763dcd108b55f> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/ 
>> ImageIO.framework/
>> Versions/A/ImageIO
>> 0x94214000 - 0x94252fff  libGLImage.dylib ??? (???)
>> <a6425aeb77f4da13212ac75df57b056d> /System/Library/Frameworks/
>> OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
>> 0x94253000 - 0x9429cfef  com.apple.Metadata 10.5.2 (398.25)
>> <e0572f20350523116f23000676122a8d> /System/Library/Frameworks/
>> CoreServices.framework/Versions/A/Frameworks/Metadata.framework/
>> Versions/A/Metadata
>> 0x942ec000 - 0x943d4ff3  com.apple.CoreData 100.2 (186.1)
>> <8fb61e1714a4b8d587ce97605ad32547> /System/Library/Frameworks/
>> CoreData.framework/Versions/A/CoreData
>> 0x943d5000 - 0x943f9fff  libxslt.1.dylib ??? (???)
>> <0a9778d6368ae668826f446878deb99b> /usr/lib/libxslt.1.dylib
>> 0x94720000 - 0x9472cff9  com.apple.helpdata 1.0.1 (14.2) /System/
>> Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
>> 0x9472d000 - 0x9473bffd  libz.1.dylib ??? (???)
>> <545ca09467025f77131cfac09d8b9375> /usr/lib/libz.1.dylib
>> 0x9483e000 - 0x9483effa  com.apple.CoreServices 32 (32)
>> <2760719f7a81e8c2bdfd15b0939abc29> /System/Library/Frameworks/
>> CoreServices.framework/Versions/A/CoreServices
>> 0x9483f000 - 0x94857ff7  com.apple.CoreVideo 1.6.0 (20.0)
>> <c0d869876af51283a160cd2224a23abf> /System/Library/Frameworks/
>> CoreVideo.framework/Versions/A/CoreVideo
>> 0x94858000 - 0x94d29fbe  libGLProgrammability.dylib ??? (???)
>> <7f18294a7bd0b6afe4319f29187fc70d> /System/Library/Frameworks/
>> OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
>> 0x94df4000 - 0x94e98fec  com.apple.CFNetwork 438.10 (438.12)
>> <fde64bbb20532794396fb21911ccaa98> /System/Library/Frameworks/
>> CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/
>> Versions/A/CFNetwork
>> 0x94e99000 - 0x94f40feb  com.apple.QD 3.11.56 (???)
>> <a94d0f5438b730e88e5efdb233295c52> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/QD.framework/
>> Versions/A/QD
>> 0x94f41000 - 0x94f57fff  com.apple.DictionaryServices 1.0.0 (1.0.0)
>> <7e9ff586b5c9d02b09e2a5527d98524f> /System/Library/Frameworks/
>> CoreServices.framework/Versions/A/Frameworks/
>> DictionaryServices.framework/Versions/A/DictionaryServices
>> 0x94fd3000 - 0x95066ff3  com.apple.ApplicationServices.ATS 3.7 (???)
>> <a535fc4982d3acff6530ec25c402e679> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/
>> Versions/A/ATS
>> 0x95067000 - 0x95147fff  libobjc.A.dylib ??? (???)
>> <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
>> 0x95188000 - 0x9518fffe  libbsm.dylib ??? (???)
>> <5582985a86ea36504cca31788bccf963> /usr/lib/libbsm.dylib
>> 0x95190000 - 0x9521cff7  com.apple.framework.IOKit 1.5.2 (???)
>> <97b9f9d584f48891377f0481b9104434> /System/Library/Frameworks/
>> IOKit.framework/Versions/A/IOKit
>> 0x952d5000 - 0x9539cff2  com.apple.vImage 3.0 (3.0) /System/Library/
>> Frameworks/Accelerate.framework/Versions/A/Frameworks/ 
>> vImage.framework/
>> Versions/A/vImage
>> 0x9545c000 - 0x9546cffc  com.apple.LangAnalysis 1.6.4 (1.6.4)
>> <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/
>> LangAnalysis.framework/Versions/A/LangAnalysis
>> 0x9546d000 - 0x9546dffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib
>> 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/
>> Frameworks/vecLib.framework/Versions/A/vecLib
>> 0x9546e000 - 0x955d5ff3  libSystem.B.dylib ??? (???)
>> <b47c8e6e45aef620730710a732bf1930> /usr/lib/libSystem.B.dylib
>> 0x955d6000 - 0x95653fef  libvMisc.dylib ??? (???) /System/Library/
>> Frameworks/Accelerate.framework/Versions/A/Frameworks/ 
>> vecLib.framework/
>> Versions/A/libvMisc.dylib
>> 0x95654000 - 0x95656ff5  libRadiance.dylib ??? (???)
>> <8a844202fcd65662bb9ab25f08c45a62> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/ 
>> ImageIO.framework/
>> Versions/A/Resources/libRadiance.dylib
>> 0x95664000 - 0x95683ffa  libJPEG.dylib ??? (???)
>> <e7eb56555109e23144924cd64aa8daec> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/ 
>> ImageIO.framework/
>> Versions/A/Resources/libJPEG.dylib
>> 0x95684000 - 0x957b7fef  com.apple.CoreFoundation 6.5.6 (476.18)
>> <2d52bab73660117571bd6486dc318f8e> /System/Library/Frameworks/
>> CoreFoundation.framework/Versions/A/CoreFoundation
>> 0x957d5000 - 0x957d5ffb  com.apple.installserver.framework 1.0 (8) /
>> System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/
>> InstallServer
>> 0x95828000 - 0x95831fff  com.apple.speech.recognition.framework  
>> 3.7.24
>> (3.7.24) <6a6518b392d3d41ace3dcea69d6809d9> /System/Library/ 
>> Frameworks/
>> Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/
>> Versions/A/SpeechRecognition
>> 0x95832000 - 0x96030fef  com.apple.AppKit 6.5.7 (949.46)
>> <a80f8cb62f6bdcb3bed3c8675d55881d> /System/Library/Frameworks/
>> AppKit.framework/Versions/C/AppKit
>> 0x96031000 - 0x9616aff7  libicucore.A.dylib ??? (???)
>> <cac059ebdac7d9a63ee0f7a648c9f6cf> /usr/lib/libicucore.A.dylib
>> 0x9616b000 - 0x9616bffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) / 
>> System/
>> Library/Frameworks/vecLib.framework/Versions/A/vecLib
>> 0x9616c000 - 0x961c8ff7  com.apple.htmlrendering 68 (1.1.3)
>> <a9f65fa1c4668dc7c49af5bf7d5287ad> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/
>> Versions/A/HTMLRendering
>> 0x961c9000 - 0x96566fef  com.apple.QuartzCore 1.5.8 (1.5.8)
>> <a28fa54346a9f9d5b3bef076a1ee0fcf> /System/Library/Frameworks/
>> QuartzCore.framework/Versions/A/QuartzCore
>> 0x966a0000 - 0x966acffe  libGL.dylib ??? (???) /System/Library/
>> Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
>> 0x966ad000 - 0x966b5fff  com.apple.DiskArbitration 2.2.1 (2.2.1)
>> <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/
>> DiskArbitration.framework/Versions/A/DiskArbitration
>> 0x966b6000 - 0x969befff  com.apple.HIToolbox 1.5.5 (???)
>> <b17766e3d8800a73f534c41f624f5ac4> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/ 
>> A/
>> HIToolbox
>> 0x969bf000 - 0x969c0ffc  libffi.dylib ??? (???)
>> <596e0dbf626b211741cecaa9698f271b> /usr/lib/libffi.dylib
>> 0x969c1000 - 0x96aa2ff7  libxml2.2.dylib ??? (???)
>> <068cab13eb4608a7c6a5fad807ee0e33> /usr/lib/libxml2.2.dylib
>> 0x96aa3000 - 0x96ab3fff  com.apple.speech.synthesis.framework 3.7.1
>> (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/ 
>> Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/
>> SpeechSynthesis.framework/Versions/A/SpeechSynthesis
>> 0x96ab5000 - 0x96abcfe9  libgcc_s.1.dylib ??? (???)
>> <28a7cbc3a5ca2982d124668306f422d9> /usr/lib/libgcc_s.1.dylib
>> 0x96abd000 - 0x96ad8ffb  libPng.dylib ??? (???)
>> <4780e979d35aa5ec2cea22678836cea5> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/ 
>> ImageIO.framework/
>> Versions/A/Resources/libPng.dylib
>> 0x96ad9000 - 0x96ad9ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /
>> System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
>> 0x96ada000 - 0x96d56fe7  com.apple.Foundation 6.5.8 (677.24)
>> <aa84b0383891378c348ffa4a94853082> /System/Library/Frameworks/
>> Foundation.framework/Versions/C/Foundation
>> 0x96d57000 - 0x96d84feb  libvDSP.dylib ??? (???)
>> <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/
>> Accelerate.framework/Versions/A/Frameworks/vecLib.framework/ 
>> Versions/A/
>> libvDSP.dylib
>> 0x96d9d000 - 0x96e30fff  com.apple.ink.framework 101.3 (86)
>> <dfa9debcd7537849d228021d1d9c0f63> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
>> 0x96e37000 - 0x96e37ffd  com.apple.Accelerate 1.4.2 (Accelerate
>> 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/
>> Accelerate
>> 0x96f06000 - 0x96fb8ffb  libcrypto.0.9.7.dylib ??? (???)
>> <9d714c92872a93dd127ea8556b2c8945> /usr/lib/libcrypto.0.9.7.dylib
>> 0x96fb9000 - 0x96ff3fe7  com.apple.coreui 1.2 (62) /System/Library/
>> PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
>> 0x96ff4000 - 0x9704eff7  com.apple.CoreText 2.0.4 (???)
>> <f0b6c1d4f40bd21505097f0255abfead> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/ 
>> CoreText.framework/
>> Versions/A/CoreText
>> 0x9704f000 - 0x9704ffff  com.apple.Carbon 136 (136)
>> <ec1d4184925e652dbe1b9200a5a552ec> /System/Library/Frameworks/
>> Carbon.framework/Versions/A/Carbon
>> 0x97050000 - 0x97221ffb  com.apple.security 5.0.5 (36371)
>> <c13e0bb1acfdcf94be4d3ee118ef190e> /System/Library/Frameworks/
>> Security.framework/Versions/A/Security
>> 0x97222000 - 0x97237ffb  com.apple.ImageCapture 5.0.2 (5.0.2) / 
>> System/
>> Library/Frameworks/Carbon.framework/Versions/A/Frameworks/
>> ImageCapture.framework/Versions/A/ImageCapture
>> 0x97238000 - 0x972b2ff8  com.apple.print.framework.PrintCore 5.5.4
>> (245.6) <03d0585059c20cb0bde5e000438c49e1> /System/Library/ 
>> Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/
>> PrintCore.framework/Versions/A/PrintCore
>> 0x972b3000 - 0x972b7fff  libGIF.dylib ??? (???)
>> <572a32e46e33be1ec041c5ef5b0341ae> /System/Library/Frameworks/
>> ApplicationServices.framework/Versions/A/Frameworks/ 
>> ImageIO.framework/
>> Versions/A/Resources/libGIF.dylib
>> 0xbab00000 - 0xbab21fe2  libKoreanConverter.dylib ??? (???)
>> <4b497e7a0027447eaff2b45572bb85ea> /System/Library/CoreServices/
>> Encodings/libKoreanConverter.dylib
>> 0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/
>> libobjc.A.dylib
>> 0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/
>> libSystem.B.dylib
>>
>>
>> ------------------------------------------------------------------------------
>> Crystal Reports - New Free Runtime and 30 Day Trial
>> Check out the new simplified licensing option that enables
>> unlimited royalty-free distribution of the report engine
>> for externally facing server and web deployment.
>> http://p.sf.net/sfu/businessobjects
>> _______________________________________________
>> Aquamacs-devel mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/aquamacs-devel
>